import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Gruppe } from '../Gruppe';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class GruppeService {

  private API_URL = environment.API_URL;
  public $url = this.API_URL + "/api/group_data.php";
  strAnfrage ="";

  constructor(private http: HttpClient) { }

  getGruppen() {
    return this.http.get<Gruppe[]>(this.$url);
  }

  getSingleKompetenz(aktid: any) {
    this.strAnfrage= this.$url + "?id="+ aktid;
    return this.http.get<Gruppe>(this.strAnfrage);
  }
}
