import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { _Modul } from '../_Modul';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class ModulService {

  private API_URL = environment.API_URL;
  public $url = this.API_URL + "/api/modul.php";
  
  constructor(private http: HttpClient) { }

  getModule() {
    return this.http.get<_Modul[]>(this.$url);
  }

}
