import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Profession } from '../Profession';
import { environment } from '../../environments/environment';
@Injectable({
  providedIn: 'root'
})
export class ProfessionService {

  private API_URL = environment.API_URL;
  public $url = this.API_URL + "/api/profession.php";
  constructor(private http: HttpClient) { }

  getProfessionList() {
    return this.http.get<Profession[]>(this.$url);
  }
}
