import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Pruefung } from '../Pruefung';
import { environment } from '../../environments/environment';
@Injectable({
  providedIn: 'root'
})
export class PruefungService {

  private API_URL = environment.API_URL;
  public $url =  this.API_URL + "/api/pruefung.php";

  constructor(private http: HttpClient) { }

  getPruefungen() {
    return this.http.get<Pruefung[]>(this.$url);
  }

}
