import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpSentEvent } from '@angular/common/http';
import { Userlogin } from '../Userlogin';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class LoginService {

  constructor(private http: HttpClient) { }

  private API_URL = environment.API_URL;
  baseUrl = this.API_URL + "/api";

    login(logindata): any {
      const strloginapi = this.baseUrl + '/login.php';
      console.log(strloginapi);
      return this.http.get<Userlogin>(this.baseUrl + '/login.php', logindata);
  }
}
