import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Pruefungsergebnis } from '../Pruefungsergebnis';
import { environment } from '../../environments/environment';
@Injectable({
  providedIn: 'root'
})
export class PruefungsergebnisService {

  private API_URL = environment.API_URL;
  public $url = this.API_URL + "/api/pruefungsergebnis.php";
  
  constructor(private http: HttpClient) { }

  getPruefergebnisse() {
    return this.http.get<Pruefungsergebnis[]>(this.$url);
  }

}
